[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4762: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4764: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4765: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4766: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)
newlispfanclub.alh.net • View topic - Development release newLISP v.10.7.4

Development release newLISP v.10.7.4

Notices and updates

Development release newLISP v.10.7.4

Postby Lutz » Mon Sep 10, 2018 10:47 pm

Several bug fixes and small enhancements in the new development release here:
http://www.newlisp.org/downloads/development/

For details of bug fixes and enhancements see:
http://www.newlisp.org/downloads/develo ... lease.html
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby gekkonier » Tue Sep 11, 2018 8:16 am

Hi Lutz!
Thank you!

For the http://www.newlisp.org/downloads/develo ... NSTALL.txt
it would be great if you mention the usage of environment variables, I think it could help to use newLisp without any installer on Windows.

The next thing I would like to mention (not suitable maybe):
The Java Editor (and the guiserver at all) seems a bit dated. I would recommend to get rid of it.

Folks need a working editor support to get attracted. Some people are a bit turned of by the actual situation.
Take a look here: viewtopic.php?f=16&t=4956

I recommend to get rid of guiserver and the old editor and instead consider to concentrate on an editor thats wideley used. I for myself use newLisp with Emacs (I use the newLisp mode here: https://github.com/kosh04/newlisp-mode) which works great but can also be a nogo for a lot of people.
I'm learning how to write Visual Studio Code extensions, maybe that's a good way to go?
Anyway: An editor support that is widely usable without headache is crucial for broader adoption.

And: I love newLisp, it's such a productive scripting language! Thank you for working on that beauty!
gekkonier
 
Posts: 14
Joined: Fri Jan 26, 2018 7:44 pm

Re: Development release newLISP v.10.7.4

Postby Lutz » Tue Sep 11, 2018 1:53 pm

Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby HPW » Tue Sep 11, 2018 3:30 pm

Hello Lutz,

Thanks for the ongoing development.

Will you provide an Win-installer for the new Releases as before?
And a sub-Directory for Win32-Utf8 with exe+dll ?
And a newlisp-js release?

By the way: We stll have the optional TclTk Editor. ;-)

Regards
Hans-Peter
HPW
 
Posts: 1376
Joined: Thu Sep 26, 2002 9:15 am
Location: Germany

Re: Development release newLISP v.10.7.4

Postby johu » Tue Sep 11, 2018 11:13 pm

Hello, Lutz.

I finished the translation of manual v.10.7.4

newlisp_manual-10704

There is in .

Regards,
johu
 
Posts: 143
Joined: Mon Feb 08, 2010 8:47 am

Re: Development release newLISP v.10.7.4

Postby gekkonier » Wed Sep 12, 2018 11:33 am

gekkonier
 
Posts: 14
Joined: Fri Jan 26, 2018 7:44 pm

Re: Development release newLISP v.10.7.4

Postby HPW » Wed Sep 12, 2018 1:15 pm

Hallo Gregor,

I am not sure if I had posted a link to my latest Version of the TclTk Editor.
I had tested it again each newlisp-version in the past.
I will check in the evening for a download-Option and will post it here.

Keine Tomaten auf den Augen. Bin mir nicht sicher einen Link hier gepostet zu haben.
Habe bislang alle NewLisp-Versionen mit dem Front-End getestet.
Auch die alten Demos laufen immer noch.
Werde heute abend mal schauen das ich etwas online bekomme.

Edit: Was here on the Forum:
viewtopic.php?f=10&t=4863&p=23898&hilit=tcltk#p23898

Grüsse,
Hans-Peter
HPW
 
Posts: 1376
Joined: Thu Sep 26, 2002 9:15 am
Location: Germany

Re: Development release newLISP v.10.7.4

Postby Lutz » Wed Sep 12, 2018 3:39 pm

to johu
======

Thanks for the updated Japanese translation of the manual. Its added here:
http://newlisp.nfshost.com/downloads/de ... al-jp.html
and will be moved to the usual place for the stable release.


to HPW
======

Without the GUI server, installation will be easy without an installer program, as only a newLISP executable is required and whatever modules are needed. Files to copy are indicated in the INSTALL.txt.

Coming release will not include the outdated Java based Guiserver, but it will be linked from the 'Links' page in a new chapter "GUI development environments". There I could also link an the updated TclTK based development environment. Can you post a direct link to it? Could not find it.

For the browser based newlisp-js, I would depend on somebody else to supply it. Same is true for updates to guiserver-1.67.tgz. After several updated releases of the Java SDK, and Java run-time environment, code has become outdated with problems mainly on macOS and in the area of UTF-8 character encoding. Any new development environment should be UTF-8 able by default and work well alike on macOS, Windows and Linux.
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby HPW » Wed Sep 12, 2018 4:10 pm

HPW
 
Posts: 1376
Joined: Thu Sep 26, 2002 9:15 am
Location: Germany

Re: Development release newLISP v.10.7.4

Postby Lutz » Wed Sep 12, 2018 4:45 pm

If somebody needs Win32 i can be done, but looking at current download logs it is very rare. But 32-bit will always be an available flavor to compile, as needed in many embedded systems.

But executables for laptops and desktops, don't you think Win64 is enough? What do others in the forum think of this issue?

Yes, I am trying to cut down on workload. E.g. The current Emscripten version 1.38.12 does not produce a working version for me and I just don't have the time to dig into it.

If Ferry can help that would be great.

ps: added the TclTK GUI here: http://www.newlisp.org/index.cgi?Code_Contributions
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby HPW » Wed Sep 12, 2018 5:17 pm

Hello Lutz,

.. but looking at current download logs it is very rare

Which downloads are Win32 only?
Your last complete installer was a win32 Version. Right?
And Win32 version runs fine on every Win64 Windows System.
And the win32 dll is compatible to many programming enviroments.
So isn't it possible to set up a toolchain which compiles all wanted version in one run and provide the different Downloads in a separate Folder?

So my vote for 4 binary Folders:
Win32
Win32-UTF8
Win64
Win64-UTF8

Of cource only speaking for win os.

Regards
Hans-Peter
HPW
 
Posts: 1376
Joined: Thu Sep 26, 2002 9:15 am
Location: Germany

Re: Development release newLISP v.10.7.4

Postby Lutz » Wed Sep 12, 2018 10:04 pm

Added Win32 and Win32-UTF8 directories in http://newlisp.org/downloads/development/
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby HPW » Thu Sep 13, 2018 7:09 am

Hello Lutz,

Thanks for the Win32 binarys.

I have successfull tested them against neobook plugin and TclTK frontend.

Regards
HPW
 
Posts: 1376
Joined: Thu Sep 26, 2002 9:15 am
Location: Germany

Re: Development release newLISP v.10.7.4

Postby johu » Thu Sep 13, 2018 8:46 am

Hello Lutz,

I am sorry, the display of my update might have included a delay.

Now, you might be able to see "newlisp_manual-10704.zip".

Regards,
johu
 
Posts: 143
Joined: Mon Feb 08, 2010 8:47 am

Re: Development release newLISP v.10.7.4

Postby Lutz » Thu Sep 13, 2018 1:57 pm

Thanks Johu, now updated to the right version:

http://newlisp.com/downloads/developmen ... al-jp.html
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby Kirill » Fri Mar 29, 2019 9:14 pm

Kirill
 
Posts: 80
Joined: Wed Oct 31, 2007 1:21 pm

Re: Development release newLISP v.10.7.4

Postby rickyboy » Fri Mar 29, 2019 11:14 pm

(λx. x x) (λx. x x)
rickyboy
 
Posts: 595
Joined: Fri Apr 08, 2005 7:13 pm
Location: Front Royal, Virginia

Re: Development release newLISP v.10.7.4

Postby Lutz » Sat Mar 30, 2019 3:51 pm

Oops, not sure how this happened.

On my development computer: 7b4e1f84d878a101dbe761fdd68bbfafe819e9f9

So the newlisp-10.7.4.tgz checksum is correct but the SHA1.txt is wrong and has been updated now.
Lutz
 
Posts: 5279
Joined: Thu Sep 26, 2002 4:45 pm
Location: Pasadena, California

Re: Development release newLISP v.10.7.4

Postby rickyboy » Sat Mar 30, 2019 6:01 pm

Thanks, Lutz! And thanks to Kirill for finding this!
(λx. x x) (λx. x x)
rickyboy
 
Posts: 595
Joined: Fri Apr 08, 2005 7:13 pm
Location: Front Royal, Virginia

Re: Development release newLISP v.10.7.4

Postby Kirill » Mon Apr 01, 2019 9:28 pm

Thank you, both! Good to know that it wasn't someone trying to hijack systems running newLISP. :)
Kirill
 
Posts: 80
Joined: Wed Oct 31, 2007 1:21 pm


Return to newLISP newS

Who is online

Users browsing this forum: Google [Bot] and 0 guests

cron